Bug 651715 - qemu-kvm aborted when installing the driver for the newly hotplugged rtl8139 nic
qemu-kvm aborted when installing the driver for the newly hotplugged rtl8139 nic
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
: Reopened
Depends On:
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2010-11-10 02:22 EST by Cao, Chen
Modified: 2013-01-09 18:19 EST (History)
6 users (show)

See Also:
Fixed In Version: kvm-83-208.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cao, Chen 2010-11-10 02:22:49 EST
Description of problem:

got,

(qemu) qemu: hardware error: register_ioport_write: invalid opaque
CPU #0:
EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000663
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00000000
EIP=0000fff0 EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 00000000 0000ffff 00009200
CS =f000 ffff0000 0000ffff 00009a00
SS =0000 00000000 0000ffff 00009200
DS =0000 00000000 0000ffff 00009200
FS =0000 00000000 0000ffff 00009200
GS =0000 00000000 0000ffff 00009200
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     00000000 0000ffff
IDT=     00000000 0000ffff
CR0=60000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000
DR6=ffff0ff0 DR7=00000400
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
CPU #1:
EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000663
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00000000
EIP=0000fff0 EFL=00000202 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 00000000 0000ffff 00009200
CS =f000 ffff0000 0000ffff 00009a00
SS =0000 00000000 0000ffff 00009200
DS =0000 00000000 0000ffff 00009200
FS =0000 00000000 0000ffff 00009200
GS =0000 00000000 0000ffff 00009200
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     00000000 0000ffff
IDT=     00000000 0000ffff
CR0=60000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000
DR6=ffff0ff0 DR7=00000400
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000


Version-Release number of selected component (if applicable):
kvm-83-207.el5


How reproducible:
100%


Steps to Reproduce:
1. boot guest with
/usr/libexec/qemu-kvm -name 'vm1' \
-monitor stdio \
-serial unix:'/tmp/serial-20101109-190908-JE7f',server,nowait \
-drive file='/home/images/win7-32-virtio.qcow2',index=0,if=virtio,media=disk,cache=none,boot=on,format=qcow2 \
-net nic,vlan=0,model=virtio,macaddr='02:30:1F:8D:b2:99' \
-net tap,vlan=0,ifname='virtio_0_8000',script='/home/images/qemu-ifup-switch',downscript='no' \
-m 4096 -smp 2 \
-drive file='/home/images/winutils.iso',media=cdrom,index=1 \
-cpu qemu64,+x2apic \
-soundhw ac97 \
-redir tcp:5000::10023 \
-vnc :0 \
-spice port=8000,disable-ticketing -qxl 1 \
-rtc-td-hack \
-M rhel5.5.0 -usbdevice tablet

2. hot add a nic by,
(qemu) pci_add pci_addr=auto nic model=rtl8139

3. wait for guest to install the driver for the newly added nic

  
Actual results:
qemu-kvm aborted.


Expected results:
the nic is added to the guest successfully, at least the guest
does not crash.

Additional info:
1.
if restart the guest after crash, and do pci_add again, guest won't abort,
but the nic does not show in guest.

2.
work good when adding a virtio nic

3.
# rpm -qa |grep kvm
kvm-83-207.el5
kvm-tools-83-207.el5
etherboot-zroms-kvm-5.4.4-13.el5
kmod-kvm-83-207.el5
kvm-qemu-img-83-207.el5

# uname -r
2.6.18-231.el5
Comment 1 Alex Williamson 2010-11-10 08:32:25 EST

*** This bug has been marked as a duplicate of bug 625948 ***
Comment 2 Alex Williamson 2010-11-10 08:39:05 EST
oops, rhel5 bug, re-opened
Comment 3 Alex Williamson 2010-11-10 14:58:16 EST
Please test with the kvm rpm in this brew build and report the results:

https://brewweb.devel.redhat.com/taskinfo?taskID=2887647
Comment 4 Cao, Chen 2010-11-15 00:43:23 EST
(In reply to comment #3)
> Please test with the kvm rpm in this brew build and report the results:
> 
> https://brewweb.devel.redhat.com/taskinfo?taskID=2887647

tested good. nic devices hot added can all be recognized.
Comment 9 Cao, Chen 2010-11-22 22:20:46 EST
Verified.

the nic can be hot-added successfully, both with rtl8139 and virtio model.

# rpm -q kvm
kvm-83-208.el5

# uname -r
2.6.18-232.el5


but the newly added rtl8139 nic cannot get ip address, it should be another
problem.
Comment 12 errata-xmlrpc 2011-01-13 18:38:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html

Note You need to log in before you can comment on or make changes to this bug.